<script>
  // Import
  import { json } from "d3-fetch";
  import { onMount } from "svelte";

  import Plot from "./_design_3_plot.svelte";

  // Size and margins
  const width = 500;
  const height = 600;
  const margin = { top: 10, right: 10, bottom: 10, left: 10 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  // Load the data
  let data = null;
  onMount(async () => {
    data = await json("/data/hourly_electricity_vs_gas_december.json");
  });

  function selectData(w) {
    return data.filter(d => d.week == w);
  }

</script>

{#if !data}
  <p>Loading the data, please wait...</p>
{:else}
  <svg {width} {height}>
    <g transform="translate({margin.left}, {2 * margin.top})">
      <!--  -->
      <!-- Title -->
      <text font-size=20 text-align="center"> Chicago (December 2014) </text>
      <!-- Vertical line -->
      <line x1={innerWidth/2} y1={3 * margin.top} x2={innerWidth/2} y2={innerHeight - margin.top} stroke="black" stroke-width="1"/>
      <!-- Weeks from 48 to 52 -->
      <!-- Week 48 -->
      <g transform="translate({(innerWidth/2)}, 500)">
        <Plot data={selectData(48)} />
      </g>
      <!-- Week 49 -->
      <g transform="translate({(innerWidth/2)}, 400) scale(-1,1)">
        <Plot data={selectData(49)} />
      </g>
      <!-- Week 50 -->
      <g transform="translate({(innerWidth/2)}, 300)">
        <Plot data={selectData(50)} />
      </g>
      <!-- Week 51 -->
      <g transform="translate({(innerWidth/2)}, 200) scale(-1,1)">
        <Plot data={selectData(51)} />
      </g>
      <!-- Week 52 -->
      <g transform="translate({(innerWidth/2)}, 100)">
        <Plot data={selectData(52)}/>
      </g>
    </g>
  </svg>
{/if}

<style>
  svg {
    border: 1px solid black;
    border-radius: 5px;
  }
</style>
